#ifndef _SANITYCHECK_H_
#define _SANITYCHECK_H_

#ifndef ADMIN_PASSWORD
    #error "You need to define ADMIN_PASSWORD for OTA-Update"
#endif

#ifndef WIFI_AP_SSID
    #warning "No WIFI_AP_SSID defined. Using DeviceName"
    #define WIFI_AP_SSID DEVICE_NAME
#endif

#ifndef WIFI_AP_PASSWORD
    #error "You must define an WIFI_AP_PASSWORD for Standalone AP-Mode"
#endif

#if defined(FEATURE_ENABLE_UARTLORA) && defined(FEATURE_ENABLE_LORA)
    #error "You cannot enable LoRa and UART-Protocol at the same time!"
#endif

#ifdef FEATURE_ENABLE_WIFI_CLIENT
    #ifndef WIFI_CLIENT_PASSWORD
        #error "You must define an WIFI_PASSWORD for OTA-Update"
    #endif
    #ifndef WIFI_CLIENT_SSID
        #error "You must define an WIFI_SSID for OTA-Update"
    #endif
#endif


#endif //_SANITYCHECK_H_